﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False" class="concept">
    <head><title>Working with Role Mining</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1><a name="top"></a>Working with Role Mining</h1>
        <p>The role mining process discovers relationships between users based on similar access permissions that can logically be grouped to form a role. Role engineers can specify the applications and attributes that will return the best mining results. Role mining is one technique to <strong>(re)engineer roles</strong>. Choosing the best role mining approach is a challenging job. Typically, there are three role mining approaches followed in the industry:</p>
        <ul>
            <li>
                <p><strong>Top-down: </strong>This approach is primarily business-driven, and roles are defined based on a given job function's responsibilities. For example, the user's geographical location, job code, and department are some attributes used to define a role.</p>
            </li>
            <li>
                <p><strong>Bottom-up: </strong>This approach is based on role mining or discovery by analyzing the existing user permissions in current applications.</p>
            </li>
            <li>
                <p><strong>Hybrid: </strong>Identity Governance and Administration(IGA) uses the hybrid approach to mine roles. This approachleverages the efficiency gains from the bottom-up role engineering and adds context to it by the top-down restriction of the user base.It is a combination of both the top-down and the bottom-up approach, which Saviynt recommends.</p>
            </li>
        </ul>
        <p>The following are some benefits of using IGA towards role (re)engineering:</p>
        <ul>
            <li>
                <p>Guided process to drive hybrid role mining approach that employs statistical algorithms to find the most optimal role as the output.</p>
            </li>
            <li>
                <p>Using a top-down approach and depending on the mining strategy, one can select all users, or a particular department, or a logical group of users based on HR attributes.</p>
            </li>
            <li>
                <p>Using a bottom-up approach and depending on the selection of entitlement type level, the system provides you the next level as its output. If you mine on fine-grained entitlements, the system recommends its next level, that is, coarse-grained entitlement. For example, if you mine on SAP Tcode, the system recommends a SAPRole. But, if you mine on SAPRole, the system recommends a business or enterprise role depending on your top-down strategy</p>
            </li>
            <li>
                <p>Besides providing the user base and entitlements to the mining engine, you can provide references that will further tune the output. These references include:</p>
                <ul>
                    <li>
                        <p><strong>Usage-based Mining: </strong>For specific applications where it records user-entitlement usage, those data can be used as a reference so that the engine only mines on used entitlements. This technique ensures that all legacy unused access is not taken forward.</p>
                    </li>
                    <li>
                        <p><strong>Unused Entitlements:</strong> In some cases, application owners want to mine on entitlements that are not used and map those entitlements to an ancillary role that is requestable, and do not associate these unused entitlements to other roles.</p>
                    </li>
                    <li>
                        <p><strong>Bottom-up Business Process/Business Function: </strong>Ifyou mapentitlements to a business function and map the same entitlements to a business process, use the data as a reference for the mining engine to develop the functional roles. Additionally, if there is a rule associated with two or more business functions, which can cause Segregation of Duty violation, in that case, the mining algorithm takes care of it so that there is no inherent risk within a role.</p>
                    </li>
                    <li>
                        <p><strong>Minimum Number of Users:</strong> This parameter allows you to provide a minimum number of users' that should be part of a role as a reference to the mining engine.</p>
                    </li>
                    <li>
                        <p><strong>Minimum Number of Entitlements: </strong>This parameter allows you to provide a minimum number of entitlements that should be part of a role as a reference to the mining engine.</p>
                    </li>
                    <li>
                        <p>For a role analyst who understands how the statistical algorithm works, the system also provides the cluster details to tune the input and references further.</p>
                    </li>
                    <li>
                        <p>You can save the mining engine's initial results to a workbench and then open it in the simulation mode, where you can further slice-dice the results to suit your requirement.</p>
                    </li>
                </ul>
            </li>
        </ul>
        <h2 id="WorkingwithRoleMining-Procedure">Procedure</h2>
        <ol>
            <li>
                <p>Log in to IGA.</p>
            </li>
            <li>
                <p>Click <strong>Role Workbench &gt; Role Mining</strong>.</p>
            </li>
            <li>
                <p>There are multiple inputs’ that need to be provided to Saviynt’s Role Mining Engine. Below shown is the initial selection based on which further inputs to Saviynt’s Role Mining Engine you will provide</p>
            </li>
            <li>
                <p><strong>Top-down:</strong>
                </p>
                <ol style="list-style-type: lower-alpha;">
                    <li>
                        <p><b>By User</b>
                        </p>
                    </li>
                </ol>
            </li>
            <ol style="list-style-type: lower-roman;">
                <li>
                    <p>Select the list of users whose access needs to be mined on</p>
                </li>
                <li>
                    <p>Group of users can be selected at once by using the search options</p>
                </li>
                <li>
                    <p>Click on <strong>Add</strong> to individually select and add users</p>
                </li>
                <li>
                    <p><strong>Add All </strong>will select all the records that are displayed and add it</p>
                </li>
                <li>
                    <p>Click Next</p>
                </li>
            </ol>
            <ol style="list-style-type: lower-alpha;" start="2">
                <li>
                    <p><strong>By User on the basis of Roles</strong>
                    </p>
                </li>
            </ol>
            <ol style="list-style-type: lower-roman;">
                <li>
                    <p>It mines on the basis of users and associated Roles&#160;</p>
                </li>
                <li>
                    <p>Select number of roles whose access needs to be mined on</p>
                </li>
                <li>
                    <p>Click <strong>Next</strong></p>
                </li>
            </ol>
            <ol style="list-style-type: lower-alpha;" start="3">
                <li>
                    <p><strong>By User and Entitlements on the basis of Role</strong>
                    </p>
                </li>
            </ol>
            <ol style="list-style-type: lower-roman;">
                <li>
                    <p>It mines on current access (entitlements) of users who are part of selected Roles</p>
                </li>
                <li>
                    <p>Select number of roles whose access needs to be mined on</p>
                </li>
                <li>
                    <p>Click <strong>Next</strong></p>
                </li>
            </ol>
        </ol>
        <ol MadCap:continue="true">
            <li>
                <p><b>Bottom-up</b>:</p>
                <ol style="list-style-type: lower-alpha;">
                    <li>
                        <p>Select the Entitlement Type – select entitlement name based on the endpoint and security system</p>
                    </li>
                    <li>
                        <p>Click on <b>Add</b></p>
                    </li>
                </ol>
            </li>
        </ol>
        <ol MadCap:continue="true">
            <li>
                <p><b>References:</b>
                </p>
                <ol style="list-style-type: lower-alpha;">
                    <li>
                        <p><b>Select Type of Access to Mine</b>: Whether mining needs to be done on a particular filter of entitlements. For example, Display or Non-display entitlements. If unsure then select Not Available</p>
                    </li>
                </ol>
                <ol style="list-style-type: lower-alpha;" MadCap:continue="true">
                    <li>
                        <p><b>Select Number of Roles</b>: Maximum number of Roles that you want the mining engine to create after Role Mining</p>
                    </li>
                </ol>
                <ol style="list-style-type: lower-alpha;" MadCap:continue="true">
                    <li>
                        <p><b>Percentage Cut-off</b>: It would mine on access, which is associated with the % of users selected. </p>
                        <p>For example: If the percentage cut-off = 60%, it would mine on only the access which is associated with 60% users.</p>
                    </li>
                    <li>
                        <p><b>Based On:</b>
                        </p>
                        <ol style="list-style-type: lower-roman;">
                            <li>
                                <p><b>All Secondary Entitlement</b>: Select this only if there is a hierarchy in the entitlement structure and if you want the application to mine at the secondary level</p>
                            </li>
                            <li>
                                <p><b>Used by any user</b>: Selects all entitlements that have been used by any of the selected user</p>
                            </li>
                            <li>
                                <p><b>Used by all user</b>: Selects only those entitlements that are used by all selected users</p>
                            </li>
                            <li>
                                <p><b>Unused</b>: Selects all entitlements that are unused</p>
                            </li>
                            <li>
                                <p><b>All Entitlements</b>: Selects all entitlements</p>
                            </li>
                            <li>
                                <p><b>Mine on Entitlement per Function</b>: If you want your Roles to align with the functions within a particular business process then select <b>Yes</b> &gt; Select associated Business Process. Click <b>Next</b></p>
                            </li>
                        </ol>
                    </li>
                </ol>
            </li>
            <li>
                <p>Click <b>Next</b> to view the role mining result on run time.</p>
            </li>
        </ol>
        <h3 id="WorkingwithRoleMining-MiningResults">Mining Results</h3>
        <ol>
            <li>
                <p>Click any role to view its underlying details.<br />OR</p>
            </li>
            <li>
                <p>Click <strong>Save</strong> and go to Role Workbench to save the mining result. Here, the roles are not saved as Active but the status is <strong>Mining Active</strong>.</p>
            </li>
            <li>
                <p>Provide the name of the mining instance.<br />After the mining process is completed, the system redirects to the Role Workbench page.</p>
            </li>
            <li>
                <p>Click <strong>Roles &gt; Workbench &gt; By Role Mining Instance</strong>.</p>
            </li>
            <li>
                <p>Select the saved mining instance and click <strong>Next</strong> to view details.</p>
            </li>
        </ol>
    </body>
</html>